# Send OTP React-Native Sdk!

**The SendOtp Verification SDK makes verifying phone numbers easy. SDK supports the verification of email and phone numbers via SMS & Calls.**


## Getting started

Login or create account at MSG91 to use sendOTP services.

Get your authKey and widgetId
After login at MSG91 follow below steps to get your authkey
* Select OTP option available on panel.
* If you are first time user then generate new authkey.
* copy authKey & keep it enable
* Create and configure your widget.
* copy your widgetId.
* DLT_TE_ID to get from Network provider

## Installing

``` 
$ npm install @msg91comm/react-native-sendotp
```

## Example

```
import {OTPVerification} from '@msg91comm/react-native-sendotp'
import Modal from "react-native-modal";
```

```
const [isModalVisible, setModalVisible] = useState(false);
```

```
return (
    <View style={{ flex: 1 }}>
      <Button title="Login with OTP" onPress={setModalVisible(true)} />
       <Modal  
        style={{backgroundColor: '#fff',
        margin: 0,
        }}
        isVisible={isModalVisible}>
        <View style={{ flex: 1 ,backgroundColor:'#fff'}}>
        <OTPVerification 
          onVisible={isModalVisible} 
          onCompletion={(data)=>{
          console.log(data) // get your response of success/failure.
          setModalVisible(false)
          }} 
          authToken={'paste your authKey here'}
          widgetId={'paste your widgetId here'} />
        </View>
      </Modal>
    </View>
  );
```


## License

```
Copyright 2022 MSG91
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
```
